Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.functors
Class NotPredicate

    java.lang.Object
      org.apache.commons.collections.functors.NotPredicate

All Implemented Interfaces:
  java.io.Serializable, PredicateDecorator, Predicate

    public final class NotPredicate

extends java.lang.Object
implements Predicate, PredicateDecorator, java.io.Serializable

Predicate implementation that returns the opposite of the decorated predicate.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`NotPredicate(Predicate predicate)` Constructor that performs no validation.

Method Summary
`boolean` | `evaluate(java.lang.Object object)` Evaluates the predicate returning the opposite to the stored predicate.
`static Predicate` | `getInstance(Predicate predicate)` Factory to create the not predicate.
`Predicate[]` | `getPredicates()` Gets the predicate being decorated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotPredicate

    public NotPredicate(Predicate predicate)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `predicate` - the predicate to call after the null check

Method Detail

### getInstance

    public static Predicate getInstance(Predicate predicate)

  Factory to create the not predicate.

  Parameters:
    `predicate` - the predicate to decorate, not null
  Returns:
    the predicate
  Throws:
    `java.lang.IllegalArgumentException` - if the predicate is null

### evaluate

    public boolean evaluate(java.lang.Object object)

  Evaluates the predicate returning the opposite to the stored predicate.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if predicate returns false

### getPredicates

    public Predicate[] getPredicates()

  Gets the predicate being decorated.

  Specified by:
    `getPredicates` in interface `PredicateDecorator`
  Returns:
    the predicate as the only element in an array
  Since:
    Commons Collections 3.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.